## anjuta-convert

anjuta-convert

## Synopsis

    enum                AnjutaConvertError;
    #define             ANJUTA_CONVERT_ERROR
    GQuark              anjuta_convert_error_quark          (void);
    gchar *             anjuta_convert_to_utf8              (const gchar *content,
                                                             gsize len,
                                                             const AnjutaEncoding **encoding,
                                                             gsize *new_len,
                                                             GError **error);
    gchar *             anjuta_convert_from_utf8            (const gchar *content,
                                                             gsize len,
                                                             const AnjutaEncoding *encoding,
                                                             gsize *new_len,
                                                             GError **error);

## Description

## Details

### enum AnjutaConvertError

    typedef enum
    {
    	ANJUTA_CONVERT_ERROR_AUTO_DETECTION_FAILED = 1100
    } AnjutaConvertError;

### ANJUTA_CONVERT_ERROR

    #define ANJUTA_CONVERT_ERROR anjuta_convert_error_quark()

### anjuta_convert_error_quark ()

    GQuark              anjuta_convert_error_quark          (void);

Returns : |

### anjuta_convert_to_utf8 ()

    gchar *             anjuta_convert_to_utf8              (const gchar *content,
                                                             gsize len,
                                                             const AnjutaEncoding **encoding,
                                                             gsize *new_len,
                                                             GError **error);

`content` : |
`len` : |
`encoding` : |
`new_len` : |
`error` : |
Returns : |

### anjuta_convert_from_utf8 ()

    gchar *             anjuta_convert_from_utf8            (const gchar *content,
                                                             gsize len,
                                                             const AnjutaEncoding *encoding,
                                                             gsize *new_len,
                                                             GError **error);

`content` : |
`len` : |
`encoding` : |
`new_len` : |
`error` : |
Returns : |